import ConfigParser
import io

defaults = """
[general]
datagrepper_url = https://apps.fedoraproject.org/datagrepper/raw

[sender]
sender_type = StreamSender
resultsdb_url = http://127.0.0.1:5001/api/v2.0/

"""

config = ConfigParser.ConfigParser()
config.readfp(io.BytesIO(defaults))
config.read(['/etc/ci-resultsdb-listener/listener.cfg', './conf/listener.cfg'])


datagrepper_url = config.get('general', 'datagrepper_url')
sender_type = config.get('sender', 'sender_type')
resultsdb_url = config.get('sender', 'resultsdb_url')
